---
lang: en
title: 'API docs: core.lifecycleobserverregistry.notifyobservers'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.lifecycleobserverregistry.notifyobservers.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [LifeCycleObserverRegistry](./core.lifecycleobserverregistry.md) &gt; [notifyObservers](./core.lifecycleobserverregistry.notifyobservers.md)

## LifeCycleObserverRegistry.notifyObservers() method

Notify an observer group of the given event

**Signature:**

```typescript
protected notifyObservers(observers: LifeCycleObserver[], bindings: Readonly<Binding<LifeCycleObserver>>[], event: keyof LifeCycleObserver): Promise<void>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

observers


</td><td>

[LifeCycleObserver](./core.lifecycleobserver.md)<!-- -->\[\]


</td><td>


</td></tr>
<tr><td>

bindings


</td><td>

Readonly&lt;[Binding](./context.binding.md)<!-- -->&lt;[LifeCycleObserver](./core.lifecycleobserver.md)<!-- -->&gt;&gt;\[\]


</td><td>


</td></tr>
<tr><td>

event


</td><td>

keyof [LifeCycleObserver](./core.lifecycleobserver.md)


</td><td>

Event name


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;void&gt;


